Subject: Updated: Discuss Weather Derivative for Summer 2002
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked]
Date: Mon, 8 Oct 2001 11:07:03 -0700 (PDT)

I have gotten some information back from the Weather last week but was unable to find a time for all of us to meet.  I wanted to discuss the structure that is in the word document below.  I think this is a structure that is closer to our needs.  Let me know if this time doesn't work for you.
Thanks,
JD

Laura,
Could you please get a room for this meeting?
Thanks,
JD